1. Scheduled activities
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patterns
    • Support and technical support
  • CRM
    • Properties
      • List customer types
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Assets
      • Understanding assets
      • List asset groups
      • List asset types
      • Asset structure
      • Assets dynamic fields
      • List assets
      • Assets
      • Assets
      • Assets
      • Assets
    • Scheduled activities
      • List scheduled activities
        GET
      • Scheduled activities
        POST
      • Scheduled activities
        PATCH
      • Complete Scheduled Activity
        PATCH
      • Scheduled activities
        DELETE
    • Search
      GET
  • Sales
    • Opportunities
      • List opportunity pipelines
      • List opportunity stages
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List job description templates
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Forms
      • List forms
    • Actions
      • Change job stage
      • Put on hold
      • Remove on hold
      • Mark as complete
      • Mark as uncompleted
      • Mark as free of charge
      • Mark as aborted
  • Users & Vehicles
    • Users
      • List users
  • Settings
    • List titles
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List provinces
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
  1. Scheduled activities

List scheduled activities

GET
/scheduledActivities
Scheduled activities are tasks or activities that managers/office staff need to complete. Scheduled activities can be associated with customers, opportunities or jobs. Example "Call John Smith back about his appointment".

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Headers

Bodyapplication/json

🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
🟠429429 Too many requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/scheduledActivities?limit=100&includeCount=true' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "meta": {
        "totalRecords": "string",
        "serverTime": "string"
    },
    "pagination": {
        "hasMore": "string",
        "nextCursor": 0,
        "prevCursor": 0
    },
    "data": [
        {
            "id": "string",
            "createdByType": 0,
            "createdByID": 0,
            "createdByUser": "string",
            "createdOnDateTime": "2019-08-24T14:15:22.123Z",
            "lastUpdatedOnDateTime": "2019-08-24T14:15:22.123Z",
            "associatedWith": "property",
            "associatedWithID": 0,
            "activityType": "call",
            "status": true,
            "title": "string",
            "description": "string",
            "tags": [
                {
                    "tag": "string"
                }
            ],
            "assignedToo": [
                {
                    "id": 0,
                    "name": "string"
                }
            ],
            "dueDateTime": "2019-08-24T14:15:22.123Z",
            "property": {
                "id": 0,
                "fullName": "string",
                "addressLine": "string",
                "addressLine2": "string",
                "addressLine3": "string",
                "town": "string",
                "county": "string",
                "postcode": "string"
            },
            "opportunity": {
                "id": 0,
                "description": "string"
            },
            "job": {
                "id": 0,
                "description": "string"
            },
            "completed": {
                "completedOnDateTime": "2019-08-24T14:15:22.123Z",
                "completedByUserID": 0,
                "completedByUser": "string"
            },
            "links": {
                "property": "string",
                "opportunity": "string",
                "job": "string"
            }
        }
    ]
}
Modified at 2026-09-15 11:07:25
Previous
Assets
Next
Scheduled activities
Built with